## scid 4.3.0.cvs20120311

=== src/polyglot/Makefile ===

# files

EXE = polyglot

OBJS = adapter.o attack.o board.o book.o book_make.o book_merge.o colour.o \
       engine.o epd.o fen.o game.o hash.o io.o line.o list.o main.o move.o \
       move_do.o move_gen.o move_legal.o option.o parse.o pgn.o piece.o \
       posix.o random.o san.o search.o square.o uci.o util.o

# rules

all: $(EXE) .depend

clean:
	$(RM) *.o .depend

# general

CXX       = g++
CXXFLAGS  = -pipe
LDFLAGS   = -lm

# C++

CXXFLAGS += -fno-exceptions -fno-rtti

# optimisation

CXXFLAGS += -O2
CXXFLAGS += -fomit-frame-pointer

# strip

LDFLAGS  += -s

# dependencies

$(EXE): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS)

%.s: %.cpp
	$(CXX) -S $(CXXFLAGS) $<

.depend:
	$(CXX) -MM $(OBJS:.o=.cpp) > $@

include .depend

=== debian/changelog ===
scid (1:4.3.0.cvs20120311-1ubuntu3) trusty; urgency=low

  * Added .desktop file (LP: #1277520)

 -- Florian Diesch <diesch@spamfence.net>  Fri, 28 Mar 2014 14:48:48 +0100

scid (1:4.3.0.cvs20120311-1ubuntu2) trusty; urgency=low

  * Rebuild for libsnack soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2013 11:10:03 +0100

scid (1:4.3.0.cvs20120311-1ubuntu1) raring; urgency=low

  * Made build infrastructure multi-arch-T{cl,k}-aware, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 16 Apr 2013 17:33:00 -0400

scid (1:4.3.0.cvs20120311-1) unstable; urgency=low

  * New Upstream Version.
  * Updated to standards version 3.9.3
  * scid now recommends tdom and tcllib, which is necessary for the built-in
    xfcc support. Thanks to Ian Zimmerman for giving this hint. 
    (Closes: #656699) 
  * Scid filter mode: "AND" is now working again. Thanks to Ian Zimmerman for
    the Report, and to Fulvio solving the bug upstream. (Closes: #661836) 

 -- Oliver Korff <ok@xynyx.de>  Sun, 11 Mar 2012 22:53:54 +0100

=== debian/control ===
Source: scid
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oliver Korff <ok@xynyx.de>
Homepage: http://scid.sf.net
Build-Depends: debhelper (>= 7.0.50~), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3

Package: scid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl8.5, tk8.5, zlib1g
Recommends: libsnack2, texlive-games, tdom, libtk-img, tcllib
Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
Description: chess database with play and training functionality
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games, 
 edit them and search for games by various criteria. Scid uses its 
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical 
 knowledge.
 .
 This package contains the main program.

Package: scid-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: scid (<=1:4.3.0.cvs20110714-2)
Replaces: scid (<=1:4.3.0.cvs20110714-2)
Recommends: scid (>=1:4.3.0.cvs20111216-1)
Description: data files for scid, the chess database application
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games,
 edit them and search for games by various criteria. Scid uses its
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical
 knowledge.
 .
 This package contains scids data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
# DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=src 

override_dh_auto_configure:
	sed s/x86_64-linux-gnu/$(DEB_HOST_MULTIARCH)/ configure > configure.sed
	chmod 755 configure.sed
	./configure.sed BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB="" \
		TCL_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltcl8.5" \
		TK_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltk8.5"

override_dh_auto_install:
	$(MAKE) install_scid
	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
	dh_install
#	mv -f $(CURDIR)/debian/scid/usr/share/scid/data/ \
#		$(CURDIR)/debian/scid-data/usr/share/scid/


override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess Makefile a.out
	dh_clean
	rm -f configure.sed

override_dh_auto_build:
	$(MAKE) all_scid

# override_dh_auto_test:
# 	$(TESTCMD)

# override_dh_installman:
# 	dh_installman debian/stockfish.6

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/scid/scid-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|)

## scid 4.5.1.cvs20140429

=== debian/changelog ===
scid (1:4.5.1.cvs20140429-2ubuntu1) vivid; urgency=medium

  * debian/patches/01_Makefile.conf.diff: Move -lpthread to after files that
    need it to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 01:53:16 -0500

scid (1:4.5.1.cvs20140429-2) unstable; urgency=medium

  * linking with pthread, bug was reproduced with cowbuilder build.
    unclear, why the bug didn't show up before. 
    Added: LDFLAGS:=$(LDFLAGS) -lpthread to 01_Makefile.conf.diff 
    (Closes: #759863)

 -- Oliver Korff <ok@xynyx.de>  Fri, 05 Sep 2014 16:39:44 +0200

scid (1:4.5.1.cvs20140429-1) unstable; urgency=low

  * New Upstream Version. (Closes: #704743)
  * The buildsystem changed, so a new 01_Makefile.conf.diff had to be added.
  * Included hardening compile options to 01_Makefile.conf.diff
  * Switch to compat level 9, added dependency to debhelper >=9 
  * 22_multiarch-tcltk.diff removed, configure now finds the paths 
  * Patches had to be recreated, removed some old patchfiles 
  * Updated to standards version 3.9.5
  * Added the .desktop file from ubuntu, thanks to Marc Deslauriers for the 
    patch. This solves two bugs: (Closes: #738024) (Closes: #729905)

 -- Oliver Korff <ok@xynyx.de>  Tue, 29 Apr 2014 17:04:26 +0200

scid (1:4.3.0.cvs20120311-2) unstable; urgency=low

  * Fixed FTBFS after multiarchifying Tcl/Tk. Like Sergei Golovan suggested.
    (Closes: #725084) Thanks for the patch. 

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Apr 2014 22:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Oliver Korff <ok@xynyx.de>
 Homepage: http://scid.sf.net
-Build-Depends: debhelper (>= 7.0.50~), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.5
 
 Package: scid
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,20 +10,18 @@
 # export DH_VERBOSE=1
 
 # DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-# DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”
+DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --sourcedirectory=src 
+	dh $@ --sourcedirectory=src  
 
 override_dh_auto_configure:
 	sed s/x86_64-linux-gnu/$(DEB_HOST_MULTIARCH)/ configure > configure.sed
 	chmod 755 configure.sed
 	./configure.sed BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
-                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB="" \
-		TCL_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltcl8.5" \
-		TK_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltk8.5"
+                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB=""
 
 override_dh_auto_install:
 	$(MAKE) install_scid
@@ -40,10 +38,5 @@
 	rm -f configure.sed
 
 override_dh_auto_build:
-	$(MAKE) all_scid
+	dh_auto_build --sourcedirectory=src  -- all_scid
 
-# override_dh_auto_test:
-# 	$(TESTCMD)
-
-# override_dh_installman:
-# 	dh_installman debian/stockfish.6

## scid 4.6.4%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: scid
 Section: games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Oliver Korff <ok@xynyx.de>
+Maintainer: Jose G. López <josgalo@gmail.com>
+Build-Depends: debhelper (>= 9), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.8
 Homepage: http://scid.sf.net
-Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.5
+Vcs-Git: https://gitlab.com/deb-pkg/scid.git
+Vcs-Browser: https://gitlab.com/deb-pkg/scid
 
 Package: scid
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl8.5, tk8.5, zlib1g
+Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl, tk, zlib1g
 Recommends: libsnack2, texlive-games, tdom, libtk-img, tcllib
 Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
 Description: chess database with play and training functionality
@@ -24,10 +25,7 @@
 
 Package: scid-data
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: scid (<=1:4.3.0.cvs20110714-2)
-Replaces: scid (<=1:4.3.0.cvs20110714-2)
-Recommends: scid (>=1:4.3.0.cvs20111216-1)
+Depends: ${misc:Depends}, tclsh
 Description: data files for scid, the chess database application
  Shane's Chess Information Database is a chess database application with
  a graphical user interface. You can browse databases of chess games,

## scid 4.6.4+dfsg1

=== gtest/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

find_package(GTest REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -O3")
include_directories(${GTEST_INCLUDE_DIRS} ../src)
file(GLOB TESTS *.cpp)
set(SCID_OBJ
	../src/misc.o
	../src/index.o ../src/namebase.o ../src/sortcache.o
	../src/gfile.o ../src/bytebuf.o ../src/mfile.o
	../src/game.o ../src/position.o ../src/textbuf.o ../src/dstring.o ../src/matsig.o ../src/date.o
	../src/stored.o
	../src/pgnparse.o
	../src/scidbase.o
)

add_executable(runAll ${TESTS} ${SCID_OBJ})
target_link_libraries(runAll ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} pthread)

find_package(ZLIB)
if (ZLIB_FOUND)
	target_link_libraries( runAll ${ZLIB_LIBRARIES} )
endif(ZLIB_FOUND)

=== debian/changelog ===
scid (1:4.6.4+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    - 02_uninitialized-memory-access.patch: Add to avoid uninitialized
      memory access. (Closes: #918696)
      Thanks to Bernhard Übelacker and Fulvio Benini.
  * debian/rules:
    - Remove unnecessary dh argument.
  * debian/copyright:
    - Use https and update copyright year.
  * debian/control:
    - Upgrade to debhelper compat 12.
    - Use priority 'optional'.
    - Bump to Standards-Version 4.3.0 and set Vcs* fields to Salsa.
  * debian/changelog:
    - Remove trailing whitespaces.
  * Remove menu as menu system is deprecated (Policy >= 3.9.8)

 -- Jose G. López <josgalo@gmail.com>  Fri, 18 Jan 2019 18:53:53 +0100

scid (1:4.6.4+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    - Pass OPTIMIZE variable without '-march=native' value
      to avoid build failures.
  * debian/patches:
    - 01_narrowing_conversion.diff: Add to fix narrowing conversion
      warning/error in GCC.

 -- Jose G. López <josgalo@gmail.com>  Mon, 29 Aug 2016 16:08:02 +0200

scid (1:4.6.4+dfsg1-1) unstable; urgency=medium

  * New upstream version. (Closes: #802196)
  * Set myself as Maintainer (Closes: #835312)
  * UCI engine settings works and doesn't show
    errors. (Closes: #801607)
  * Game list can be resized and changes total width of the
    window (Closes: #692300)
  * debian/control:
    - Bump to Standards-Version 3.9.8. No changes required.
    - Add Vcs-* fields to show where development is done.
    - Use tcl and tk default version provided by Debian.
    - Add tclsh to Depends on scid-data package.
  * debian/copyright:
    - Migrate to Machine-readable format.
  * debian/rules:
    - Link with '--as-needed' to fix FTBFS. (Closes: #772432)
      Thanks to Logan Rosen for patch.
    - Add hardening flags.
    - Add -parallel option to debhelper.
    - Fix executable permissions on some files.
  * debian/patches:
    - 01_tcl_syntax.diff: Add to fix syntax for Tcl/Tk script.
    - 01_datafolder.diff: Add to use a data dir variable.
    - 01_soundfolder.diff: Change to use share dir variable.
    - 01_Makefile.conf.diff: Change to use hardening/linking flags.
    - 01_configure_tclsh.diff: Remove, tcl default version provides tclsh.
    - 01_spellcorrection.diff: Remove, source file deleted by upstream.
  * debian/scid.dirs: Remove scidlet dir, it is not used anymore.
  * debian/scid.install: Remove copying to scidlet dir.
  * debian/scid-data.dirs: Add tcl dir as upstream installs it by default
  * debian/scid-data.install: Copy files to tcl dir.
  * debian/watch:
    - Upgrade to version 4 and handle repackage upstream source
      to make it DFSG compliant (hence the version change).

 -- Jose G. López <josgalo@gmail.com>  Fri, 26 Aug 2016 20:36:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: scid
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Jose G. López <josgalo@gmail.com>
-Build-Depends: debhelper (>= 9), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 4.3.0
 Homepage: http://scid.sf.net
-Vcs-Git: https://gitlab.com/deb-pkg/scid.git
-Vcs-Browser: https://gitlab.com/deb-pkg/scid
+Vcs-Git: https://salsa.debian.org/josgalo-guest/scid.git
+Vcs-Browser: https://salsa.debian.org/josgalo-guest/scid
 
 Package: scid
 Architecture: any
@@ -15,10 +15,10 @@
 Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
 Description: chess database with play and training functionality
  Shane's Chess Information Database is a chess database application with
- a graphical user interface. You can browse databases of chess games, 
- edit them and search for games by various criteria. Scid uses its 
+ a graphical user interface. You can browse databases of chess games,
+ edit them and search for games by various criteria. Scid uses its
  own compact and fast database format, but can convert to and from PGN.
- Its also possible to play live on the internet and practice tactical 
+ Its also possible to play live on the internet and practice tactical
  knowledge.
  .
  This package contains the main program.
@@ -34,4 +34,4 @@
  Its also possible to play live on the internet and practice tactical
  knowledge.
  .
- This package contains scids data files.
+ This package contains scid data files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
		SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" \
		OPTIMIZE="-O3 -fno-rtti -fno-exceptions" TB=""

override_dh_auto_install:
	$(MAKE) install_scid
	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
	chmod -R -x $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/start.tcl
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/options.tcl
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/contrib/ezsmtp/install.tcl
#	mv -f $(CURDIR)/debian/scid/usr/share/scid/data/ \
#		$(CURDIR)/debian/scid-data/usr/share/scid/

override_dh_install:
	dh_install -Xlicense.txt

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess Makefile a.out
	dh_clean

override_dh_auto_build:
	dh_auto_build -- all_scid

## scid 4.7.0+dfsg1

=== CMakeLists.txt ===
# Copyright (C) 2016-2017  Fulvio Benini
# This file is part of Scid (Shane's Chess Information Database).
#
# Scid is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation.
#
# Scid is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Scid. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.2)
project(scid)
set(CPACK_PACKAGE_VERSION 4.7.0)
set(
  CPACK_PACKAGE_DESCRIPTION_SUMMARY
  "chess database application with play and training functionality"
)
include(CPack)

set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 14 CACHE STRING "")
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
  set(CMAKE_BUILD_TYPE "Release")
endif()

if(MSVC)
  add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_SCL_SECURE_NO_WARNINGS)
endif()


# polyglot
file(GLOB POLYGLOT_SRC src/polyglot/*.cpp)
add_library(polyglot ${POLYGLOT_SRC})

# scid
file(GLOB SCID_SRC src/*.cpp)
add_executable(scid ${SCID_SRC})

option(SCID_MULTITHREADING "Enable/disable multihreading" ON)
if(SCID_MULTITHREADING)
  find_package(Threads REQUIRED)
  target_link_libraries(scid ${CMAKE_THREAD_LIBS_INIT})
else()
  target_compile_definitions(scid PRIVATE -DMULTITHREADING_OFF)
endif()

option(SCID_USE_TB "Enable Nalimov tablebases" OFF)
if(SCID_USE_TB)
  target_compile_definitions(scid PRIVATE -DSCID_USE_TB PRIVATE -DT41_INCLUDE)
endif()

option(SPELLCHKVALIDATE "Verify the integrity of spelling files" OFF)
if(SPELLCHKVALIDATE)
  target_compile_definitions(scid PRIVATE -DSPELLCHKVALIDATE)
endif()

find_package(TCL)
target_include_directories(scid PRIVATE ${TCL_INCLUDE_PATH})
target_link_libraries(scid polyglot ${TCL_LIBRARY})

install(TARGETS scid DESTINATION scid)
install(PROGRAMS shell_scid DESTINATION bin RENAME scid)
install(DIRECTORY bitmaps DESTINATION scid)
install(DIRECTORY bitmaps2 DESTINATION scid)
install(DIRECTORY books DESTINATION scid)
install(DIRECTORY html DESTINATION scid)
install(DIRECTORY img DESTINATION scid)
install(DIRECTORY scripts DESTINATION scid)
install(DIRECTORY sounds DESTINATION scid)
install(DIRECTORY tcl DESTINATION scid)


# engine phalanx
file(GLOB PHALANX_SRC engines/phalanx-scid/*.c)
add_executable(phalanx-scid ${PHALANX_SRC})
set_target_properties(phalanx-scid PROPERTIES COMPILE_FLAGS "-w")
install(TARGETS phalanx-scid DESTINATION bin)


# engine scidlet
file(GLOB SCIDLET_SRC engines/scidlet/*.cpp)
set(SCIDLET_EXTRA
  src/engine.cpp
  src/recog.cpp
  src/misc.cpp
  src/position.cpp
)
add_executable(scidlet ${SCIDLET_SRC} ${SCIDLET_EXTRA})
install(TARGETS scidlet DESTINATION bin)

option(GTEST "Build unit tests" OFF)
if(GTEST)
  add_subdirectory(gtest)
endif()

=== gtest/CMakeLists.txt ===
# Copyright (C) 2016-2017  Fulvio Benini
# This file is part of Scid (Shane's Chess Information Database).
#
# Scid is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation.
#
# Scid is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Scid. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.2)
set(CMAKE_CXX_STANDARD 14 CACHE STRING "")

# googletest
if(NOT IS_DIRECTORY "${CMAKE_BINARY_DIR}/googletest")
  find_package(Git)
  execute_process(COMMAND ${GIT_EXECUTABLE} clone https://github.com/google/googletest.git)
endif()
set(gtest_force_shared_crt ON CACHE BOOL "Always use msvcrt.dll")
add_subdirectory(${CMAKE_BINARY_DIR}/googletest ${CMAKE_BINARY_DIR}/googletest/Build EXCLUDE_FROM_ALL)

# scid_sources
set(SCID_BASE
  ../src/codec_scid4.cpp
  ../src/index.cpp
  ../src/scidbase.cpp
  ../src/sortcache.cpp
  ../src/stored.cpp
  ../src/game.cpp ../src/position.cpp ../src/bytebuf.cpp ../src/textbuf.cpp ../src/misc.cpp
)
add_library(scid_base ${SCID_BASE})
target_include_directories(scid_base PUBLIC ../src)
if(SCID_MULTITHREADING)
  find_package(Threads REQUIRED)
  target_link_libraries(scid_base PUBLIC ${CMAKE_THREAD_LIBS_INIT})
else()
  target_compile_definitions(scid_base PUBLIC -DMULTITHREADING_OFF)
endif()

# scid_tests
file(GLOB GTEST_SRC *.cpp)
add_executable(scid_tests ${GTEST_SRC})
target_compile_definitions(scid_tests PRIVATE -DSCID_TESTDIR=\"${CMAKE_CURRENT_LIST_DIR}/\")
target_link_libraries(scid_tests PRIVATE scid_base gtest_main)

=== debian/changelog ===
scid (1:4.7.0+dfsg1-2) unstable; urgency=medium

  * Use dh_python3 to calculate Python 3 dependencies
    as Python 2 will be removed from Debian. (Closes: #938443)
  * debian/control:
    - Build-depend on python3.
    - Upgrade to debhelper compat 13.
    - Bump to Standards-Version 4.5.1. No changes required.
  * debian/patches:
    - 03_pngfix-python3.patch. Import patch to make pgnfix work
      with Python 3.
  * debian/rules:
    - Add python3 to dh's --with option.
  * Rename TODO.debian to be included when installing.

 -- Jose G. López <josgalo@jglopez.name>  Fri, 11 Dec 2020 18:27:27 +0100

scid (1:4.7.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #966792.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 22:28:10 +0200

scid (1:4.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Bump to Standards-Version 4.4.0. No changes required.
    - Change maintainer's e-mail.
    - Mark scid-data as Multi-Arch: foreign.
  * debian/copyright:
    - Update upstream copyright year and my e-mail.
  * debian/patches:
    - 02_uninitialized-memory-access.patch: Refresh patch as some fixes
      are applied upstream.
    - 01_narrowing_conversion.diff, 01_soundfolder.diff: Remove patches
      applied upstream.
    - 01_Makefile.conf.diff, 01_tcl_syntax.diff: Refresh patches.
  * debian/watch:
    - Use git mode to get new upstream versions.

 -- Jose G. López <josgalo@jglopez.name>  Sun, 28 Jul 2019 20:57:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: scid
 Section: games
 Priority: optional
-Maintainer: Jose G. López <josgalo@gmail.com>
-Build-Depends: debhelper-compat (= 12), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 4.3.0
+Maintainer: Jose G. López <josgalo@jglopez.name>
+Build-Depends: debhelper-compat (= 13), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0), dh-python, python3
+Standards-Version: 4.5.1
 Homepage: http://scid.sf.net
 Vcs-Git: https://salsa.debian.org/josgalo-guest/scid.git
 Vcs-Browser: https://salsa.debian.org/josgalo-guest/scid
 
 Package: scid
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl, tk, zlib1g
+Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), ${python3:Depends}, tcl, tk, zlib1g
 Recommends: libsnack2, texlive-games, tdom, libtk-img, tcllib
 Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
 Description: chess database with play and training functionality
@@ -26,6 +26,7 @@
 Package: scid-data
 Architecture: all
 Depends: ${misc:Depends}, tclsh
+Multi-Arch: foreign
 Description: data files for scid, the chess database application
  Shane's Chess Information Database is a chess database application with
  a graphical user interface. You can browse databases of chess games,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --sourcedirectory=src
+	dh $@ --with python3 --sourcedirectory=src
 
 override_dh_auto_configure:
 	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \

## scid 4.7.4%2Bdfsg1

=== debian/changelog ===
scid (1:4.7.4+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    - Pass OPTIMIZE variable without '-march=native' value
      to avoid build failures. Removed by mistake.

 -- Jose G. López <josgalo@jglopez.name>  Sat, 30 Jul 2022 18:46:08 +0200

scid (1:4.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Bump to Standards-Version 4.6.1. No changes required.
  * debain/copyright:
    - Update upstream and debian package copyright years.
  * debian/patches:
    - 02_uninitialized-memory-access.patch. Remove patch applied upstream.
    - 01_Makefile.conf.diff. Refresh patch.
  * debian/rules:
    - Remove 'OPTIMIZE' option as it gets the same value from default.

 -- Jose G. López <josgalo@jglopez.name>  Tue, 12 Jul 2022 20:22:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 override_dh_auto_configure:
 	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
 		SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" \
-		OPTIMIZE="-O3 -fno-rtti -fno-exceptions" TB=""
+		OPTIMIZE="-std=c++17 -O3 -fno-rtti -fno-exceptions" \
+		TB=""
 
 override_dh_auto_install:
 	$(MAKE) install_scid

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
compression=bzip2,\
mode=git,\
pgpmode=none" \
https://git.code.sf.net/p/scid/code \
refs/tags/v([\d\.]+) debian uupdate

## scid 4.7.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,17 +13,19 @@
 # You should have received a copy of the GNU General Public License
 # along with Scid. If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.15)
 project(scid)
-set(CPACK_PACKAGE_VERSION 4.7.0)
+set(CPACK_PACKAGE_VERSION 4.7.4)
 set(
   CPACK_PACKAGE_DESCRIPTION_SUMMARY
   "chess database application with play and training functionality"
 )
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "tk8.6 (>= 8.6.0)")
+set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 include(CPack)
 
 set(CMAKE_CXX_EXTENSIONS OFF)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "")
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
@@ -32,24 +34,29 @@
 
 if(MSVC)
   add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_SCL_SECURE_NO_WARNINGS)
+  # To run/debug using Visual Studio set "scid" as startup project and add:
+  # Command Arguments: ../tcl/start.tcl
+  # Environment:       PATH=C:\tcl\bin
 endif()
 
+find_package(Threads)
+find_package(TCL)
 
 # polyglot
 file(GLOB POLYGLOT_SRC src/polyglot/*.cpp)
 add_library(polyglot ${POLYGLOT_SRC})
 
 # scid
-file(GLOB SCID_SRC src/*.cpp)
-add_executable(scid ${SCID_SRC})
-
-option(SCID_MULTITHREADING "Enable/disable multihreading" ON)
-if(SCID_MULTITHREADING)
-  find_package(Threads REQUIRED)
-  target_link_libraries(scid ${CMAKE_THREAD_LIBS_INIT})
+file(GLOB SCID_SRC src/*.h src/*.cpp)
+if(MSVC)
+  add_executable(scid WIN32 ${SCID_SRC} resources/win/scid.rc resources/win/scid.manifest)
+  target_link_options(scid PRIVATE /ENTRY:mainCRTStartup)
 else()
-  target_compile_definitions(scid PRIVATE -DMULTITHREADING_OFF)
+  add_executable(scid ${SCID_SRC})
 endif()
+set_property(TARGET scid PROPERTY INTERPROCEDURAL_OPTIMIZATION True)
+target_include_directories(scid PRIVATE ${TCL_INCLUDE_PATH})
+target_link_libraries(scid PRIVATE polyglot ${CMAKE_THREAD_LIBS_INIT} ${TCL_LIBRARY})
 
 option(SCID_USE_TB "Enable Nalimov tablebases" OFF)
 if(SCID_USE_TB)
@@ -61,11 +68,9 @@
   target_compile_definitions(scid PRIVATE -DSPELLCHKVALIDATE)
 endif()
 
-find_package(TCL)
-target_include_directories(scid PRIVATE ${TCL_INCLUDE_PATH})
-target_link_libraries(scid polyglot ${TCL_LIBRARY})
-
 install(TARGETS scid DESTINATION scid)
+file(GLOB ECO_FILES *.eco)
+install(FILES ${ECO_FILES} DESTINATION scid)
 install(PROGRAMS shell_scid DESTINATION bin RENAME scid)
 install(DIRECTORY bitmaps DESTINATION scid)
 install(DIRECTORY bitmaps2 DESTINATION scid)
@@ -84,17 +89,6 @@
 install(TARGETS phalanx-scid DESTINATION bin)
 
 
-# engine scidlet
-file(GLOB SCIDLET_SRC engines/scidlet/*.cpp)
-set(SCIDLET_EXTRA
-  src/engine.cpp
-  src/recog.cpp
-  src/misc.cpp
-  src/position.cpp
-)
-add_executable(scidlet ${SCIDLET_SRC} ${SCIDLET_EXTRA})
-install(TARGETS scidlet DESTINATION bin)
-
 option(GTEST "Build unit tests" OFF)
 if(GTEST)
   add_subdirectory(gtest)

=== gtest/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # along with Scid. If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.2)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "")
 
 # googletest
 if(NOT IS_DIRECTORY "${CMAKE_BINARY_DIR}/googletest")
@@ -27,20 +27,15 @@
 # scid_sources
 set(SCID_BASE
   ../src/codec_scid4.cpp
-  ../src/index.cpp
   ../src/scidbase.cpp
   ../src/sortcache.cpp
   ../src/stored.cpp
-  ../src/game.cpp ../src/position.cpp ../src/bytebuf.cpp ../src/textbuf.cpp ../src/misc.cpp
+  ../src/game.cpp ../src/position.cpp ../src/textbuf.cpp ../src/misc.cpp
 )
 add_library(scid_base ${SCID_BASE})
 target_include_directories(scid_base PUBLIC ../src)
-if(SCID_MULTITHREADING)
-  find_package(Threads REQUIRED)
-  target_link_libraries(scid_base PUBLIC ${CMAKE_THREAD_LIBS_INIT})
-else()
-  target_compile_definitions(scid_base PUBLIC -DMULTITHREADING_OFF)
-endif()
+find_package(Threads REQUIRED)
+target_link_libraries(scid_base PUBLIC ${CMAKE_THREAD_LIBS_INIT})
 
 # scid_tests
 file(GLOB GTEST_SRC *.cpp)

=== debian/changelog ===
scid (1:4.7.4+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unnecessary call to `dh_clean` (it would be called again
    just after)
  * Remove need for root when building the package.
    (Closes: #1089427)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 15:48:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Jose G. López <josgalo@jglopez.name>
 Build-Depends: debhelper-compat (= 13), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0), dh-python, python3
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: http://scid.sf.net
 Vcs-Git: https://salsa.debian.org/josgalo-guest/scid.git
 Vcs-Browser: https://salsa.debian.org/josgalo-guest/scid

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 override_dh_auto_install:
 	$(MAKE) install_scid
 	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
-	chmod -R -x $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/
+	find $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/ -type f -exec chmod a-x {} +
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/start.tcl
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/options.tcl
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/contrib/ezsmtp/install.tcl
@@ -30,7 +30,6 @@
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
 	rm -f config.sub config.guess Makefile a.out
-	dh_clean
 
 override_dh_auto_build:
 	dh_auto_build -- all_scid
